if ! pushd tags >/dev/null 2>&1; then
    echo "Tags dir not found" >&2
    exit 1
fi

hash=$(head -n1 list | awk '{print $1}')
object_hash=""

if [ -f "$hash" ]; then
    object_hash=$(grep -m1 '^object ' "$hash" | awk '{print $2}')
    if [ -z "$object_hash" ]; then
        echo "Can not find object hash in file $hash" >&2
        popd >/dev/null 2>&1
        exit 1
    fi
else
    echo "File $hash not found at dir tags" >&2
    popd >/dev/null 2>&1
    exit 1
fi

popd >/dev/null 2>&1

echo "$object_hash"
